Warehouse Keeper Parman:
It is said that on Talking Island there is an Elf that has been waiting for his lover's return for 1,000 years! It is very unusual, even for an Elf, to live that long, isn't it? He must have amazing health.
I heard this story from the Warehouse Keeper Wilford of Talking Island. You should go and ask him to tell you more about the Elf that lived for over a thousand years.
Return